org.eclipse.jgit.events

## Class IndexChangedEvent

- java.lang.Object
- - org.eclipse.jgit.events.RepositoryEvent<IndexChangedListener>
  - - org.eclipse.jgit.events.IndexChangedEvent

    public class IndexChangedEvent
    extends RepositoryEvent<IndexChangedListener>

Describes a change to one or more paths in the index file.

### Constructor Summary

Constructors
Constructor and Description
`IndexChangedEvent()`

### Method Summary

Methods
`void` `dispatch(IndexChangedListener listener)` Dispatch this event to the given listener.
`Class<IndexChangedListener>` `getListenerType()`

### Methods inherited from class org.eclipse.jgit.events.RepositoryEvent

`getRepository, setRepository, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexChangedEvent

    public IndexChangedEvent()

### Method Detail

#### getListenerType

    public Class<IndexChangedListener> getListenerType()

Specified by:
  `getListenerType` in class `RepositoryEvent<IndexChangedListener>`
Returns:
  type of listener this event dispatches to.

#### dispatch

    public void dispatch(IndexChangedListener listener)

Description copied from class: `RepositoryEvent`
Dispatch this event to the given listener.

Specified by:
  `dispatch` in class `RepositoryEvent<IndexChangedListener>`
Parameters:
  `listener` - listener that wants this event.